%define upstream_name	 Rose-DateTime
%define upstream_version 0.537

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    DateTime helper functions and objects
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Rose/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Rose::Object) >= 0.820.0
BuildArch:  noarch

%description
The Rose::DateTime::* modules provide a few convenience functions and
objects for use with DateTime dates.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes META.yml
%{_mandir}/man*/*
%{perl_vendorlib}/Rose

%changelog
* Wed Jun 15 2011 jquelin <jquelin> 0.537.0-1.mga2
+ Revision: 107394
- update to 0.537

* Wed Feb 16 2011 jquelin <jquelin> 0.535.0-1.mga1
+ Revision: 52690
- update to 0.535

* Mon Jan 24 2011 jquelin <jquelin> 0.534.0-1.mga1
+ Revision: 36531
- mageia rebuild
- imported package perl-Rose-DateTime

